cwlVersion: v1.0
class: CommandLineTool
label: LINCS L1000 Reverse Search
doc: Identify RNA-seq-like LINCS L1000 Signatures which reverse the expression
  of the gene.
baseCommand:
  - /app/cli/pwb.sh
  - LINCSL1000ReverseSearch
requirements:
  - class: DockerRequirement
    dockerImageId: maayanlab/playbook-partnership:0.73.1
inputs:
  inputs.gene:
    label: Gene
    doc: Gene Term
    type: File
    inputBinding:
      prefix: --inputs.gene=
      separate: false
  outputFilename:
    type: string
    default: output.json
    inputBinding:
      prefix: --output=
      separate: false
outputs:
  output:
    label: LINCS L1000 Reverse Search Dashboard
    doc: A dashboard for performing L1000 Reverse Search queries for a given gene
    type: File
    outputBinding:
      glob: $(inputs.outputFilename)
